#include <string>
#include <admin>
#include <adminlib>

new STRING_VERSION[MAX_DATA_LENGTH] = "2.50.60_v.0.8";

new g_URL[MAX_TEXT_LENGTH];

public plugin_init() {
	plugin_registerinfo("MotD Browser","Displays URL in MotD Window",STRING_VERSION);
	plugin_registercmd("admin_browser","admin_browser",ACCESS_CONFIG,"admin_browser [URL]: Displays URL in MotD Window");
	plugin_registercmd("admin_browser_set","admin_browser_set",ACCESS_CONFIG,"admin_browser_set [URL]: Sets URL for \rank message in MotD Window");
	plugin_registercmd("say","HandleSay",ACCESS_ALL,"say /rank: displays your k/d ratio on our server");
	get_vaultdata("stats_url",g_URL,MAX_TEXT_LENGTH);
	return PLUGIN_CONTINUE;
}

display_motd(User[], URL[]){
	new Text[2048];
	snprintf(Text,2048,"<html><head><meta http-equiv=^"REFRESH^" content=^"0;url=%s^"></head><body><div>Die Anzeige wird aufgebaut!</div></body></html>",URL);
	motd(User,Text);
}

public admin_browser(HLCommand,HLData,HLUserName,UserIndex) {
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	snprintf(Data,MAX_DATA_LENGTH,"http://%s",Data);
	execclient(User,"escape");
	display_motd(User,Data);
	return PLUGIN_HANDLED;
}

public admin_browser_set(HLCommand,HLData,HLUserName,UserIndex) {
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	snprintf(g_URL,MAX_DATA_LENGTH,"http://%s",Data);
	set_vaultdata("stats_url",g_URL);
	snprintf(Data,MAX_DATA_LENGTH,"[BROWSER STATS] Default URL for /rank is set to: %s",g_URL);
	selfmessage(Data);
	return PLUGIN_HANDLED;
}

public HandleSay(HLCommand,HLData,HLUserName,UserIndex) {
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	strstripquotes(Data);
	if(strcmp(Data,"/rank")==0){
		display_motd(User,g_URL);
	}
	return PLUGIN_CONTINUE;
}
